Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Administrator
MSohm
Posts: 14,065
Registered: ‎07-09-2008
My Carrier: Bell
Accepted Solution

Google ADT 21 Not Currently Supported

The Eclipse Plug-in for Android Development Tools does not currently support Google ADT 21. Android Runtime developers should continue to use ADT 20. The team is working hard, and will have support for ADT 21 in the updated Eclipse Plug-in beta 1.4 version coming later this month.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
New Contributor
jameschorlton
Posts: 3
Registered: ‎11-19-2012
My Carrier: Various

Re: Google ADT 21 Not Currently Supported

Is there any news regarding when this will be updated? I am lothed to reinstall my ADK/SDK as this is not an easy job and also has an impact on our Android development.

Please use plain text.
Administrator
MSohm
Posts: 14,065
Registered: ‎07-09-2008
My Carrier: Bell

Re: Google ADT 21 Not Currently Supported

ADT 21 will be supported in our next release coming out at the end of the month.

Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker
Please use plain text.
Developer
donturner
Posts: 135
Registered: ‎11-14-2010
My Carrier: Vodafone

Re: Google ADT 21 Not Currently Supported

[ Edited ]

In the mean time a solution is to:

 

1. Downgrade your version of the ADT plugin to 20.0.3 by following the instructions here: http://stackoverflow.com/questions/8247125/how-to-downgrade-android-adt

 

You may need to uninstall the BlackBerry Android plugin in order to remove existing ADT plugin. 

 

2. Download version 20 of the Android tools and overwrite your android-sdk/tools directory with it. Available here: https://dl-ssl.google.com/android/repository/tools_r20-macosx.zip or here for Windows https://dl-ssl.google.com/android/repository/tools_r20-windows.zip

 

3. Reinstall the BlackBerry Android plugin

 

Please use plain text.
Developer
murugesan2013
Posts: 34
Registered: ‎11-16-2012
My Carrier: Computer

Re: Google ADT 21 Not Currently Supported

I don't Think we must uninstall the blackberry plugin

 Its enough to install the ADT version 20 from other sites not in Developers.android.com since we dont get there

 

 

Regards,
Murugesan
Please use plain text.
New Developer
hminaya
Posts: 10
Registered: ‎11-27-2012
My Carrier: Orange

Re: Google ADT 21 Not Currently Supported

Will it be out at the end of *this* month, or *next* month?

Please use plain text.
New Developer
connorroberts
Posts: 14
Registered: ‎11-27-2012
My Carrier: T-Mobile

Re: Google ADT 21 Not Currently Supported

Thanks :smileyhappy: Look forward to an official update though :smileysad: Don't like going backwards...

Please use plain text.
Developer
murugesan2013
Posts: 34
Registered: ‎11-16-2012
My Carrier: Computer

Re: Google ADT 21 Not Currently Supported

December Hopefully !!

Regards,
Murugesan
Please use plain text.
New Contributor
jameschorlton
Posts: 3
Registered: ‎11-19-2012
My Carrier: Various

Re: Google ADT 21 Not Currently Supported

Is there a beta yet to allow us to get back on track with our droid/bb development?

Please use plain text.
New Developer
flowi88
Posts: 10
Registered: ‎11-28-2012
My Carrier: Wifi

Re: Google ADT 21 Not Currently Supported

@donturner
The solution you described works for me. unfortunately that's a unpleasant workaround.
I'm really waiting waiting for ADT21 support of the upcoming update... meeeh! :smileysad:
Please use plain text.